Bug 648658 (CVE-2010-4073) - CVE-2010-4073 kernel: ipc/compat*.c: reading uninitialized stack memory
Summary: CVE-2010-4073 kernel: ipc/compat*.c: reading uninitialized stack memory
Status: NEW
Alias: CVE-2010-4073
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101006,reported=20101007,sou...
Keywords: Security
Depends On: 648691 648692 648693 648694 648695 648810 648811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 21:15 UTC by Petr Matousek
Modified: 2018-08-28 21:51 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC
Red Hat Product Errata RHSA-2011:0162 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 17:45:00 UTC

Description Petr Matousek 2010-11-01 21:15:19 UTC
Description of problem:
The compat ipc functions allow unprivileged users to read uninitialized stack memory, because some of the structures used and declared on the stack are not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/07/1
http://lkml.org/lkml/2010/10/6/492

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 3 Petr Matousek 2010-11-02 10:38:21 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3 as it did not include IPC compat functionality.

Comment 4 Eugene Teo (Security Response) 2010-11-22 05:38:06 UTC
Upstream commit:
http://git.kernel.org/linus/03145beb455cf5c20a761e8451e30b8a74ba58d9

Comment 5 Kyle McMartin 2010-11-23 15:06:48 UTC
Thanks, grabbing this fix for Fedora as it doesn't seem to have made it into the stable series.

Comment 8 errata-xmlrpc 2010-12-08 19:09:51 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 9 errata-xmlrpc 2011-01-11 19:46:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 10 errata-xmlrpc 2011-01-13 21:58:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Comment 11 errata-xmlrpc 2011-01-14 09:02:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Comment 12 errata-xmlrpc 2011-01-18 17:45:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0162 https://rhn.redhat.com/errata/RHSA-2011-0162.html


Note You need to log in before you can comment on or make changes to this bug.